Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.didl
Class Desc

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.didl.Desc

    public class Desc

extends Object

A 'desc' element identifies a descriptor. A descriptor is intended to contain a block of metadata. A bio of a music artist is an example use of 'desc'. A 'desc' element may possess child elements from any namespace except the DIDL-Lite namespace. Values for 'id' and 'nameSpace' is required. An optional 'type' attribute allows designation of the metadata type, e.g. 'ratings', 'rights', etc. Attributes: 'id' type: string use: optional 'name' type: string use: optional 'nameSpace' type: uri use: optional The equivalent MPEG21 DIDL element is 'DESCRIPTOR'.

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any namespace='##other'/>
           </sequence>
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="nameSpace" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Object` | `any`
`protected String` | `id`
`protected String` | `nameSpace`
`protected String` | `type`

Constructor Summary
`Desc()`

Method Summary
`Object` | `getAny()` Gets the value of the any property.
`String` | `getId()` Gets the value of the id property.
`String` | `getNameSpace()` Gets the value of the nameSpace property.
`String` | `getType()` Gets the value of the type property.
`void` | `setAny(Object value)` Sets the value of the any property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setNameSpace(String value)` Sets the value of the nameSpace property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### any

    protected Object any

### id

    protected String id

### type

    protected String type

### nameSpace

    protected String nameSpace

Constructor Detail

### Desc

    public Desc()

Method Detail

### getAny

    public Object getAny()

  Gets the value of the any property.

  Returns:
    possible object is `Object`

### setAny

    public void setAny(Object value)

  Sets the value of the any property.

  Parameters:
    `value` - allowed object is `Object`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getNameSpace

    public String getNameSpace()

  Gets the value of the nameSpace property.

  Returns:
    possible object is `String`

### setNameSpace

    public void setNameSpace(String value)

  Sets the value of the nameSpace property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.